RELAY_REMOVE_BUF(9)

NAME
relay_remove_buf - remove a channel buffer

SYNOPSIS

void relay_remove_buf(struct kref * kref);

ARGUMENTS

kref
    target kernel reference that contains the relay buffer

DESCRIPTION

Removes the file from the filesystem, which also frees the rchan_buf_struct and the channel buffer. Should only be called from kref_put.

COPYRIGHT